|  Login
Search

Technology

Futurama is designed on the .NET platform. The system requirements are as follows.

Software and hardware

The Futurama Engine operates on Windows 2008 Server (or higher). You must have Internet Information Server (IIS) version 7.5 or higher (this is built into Windows Server editions). In addition, the .NET Framework version 4.5 must be installed. (this is a Microsoft platform that’s available free of charge). Futurama operates on both 32-bit and 64-bit versions of Windows..

The web pages generated using Futurama are supported by all modern web browsers. Futurama is fully XHTML 1.0 compliant. Futurama’s Web module has been tested on Microsoft Internet Explorer, Mozilla Firefox, Apple Safari and Google Chrome.

Standard technologies provided by IIS and the .NET Framework are used to secure Futurama’s web applications. This means it’s possible to use features such as forms authentication and Active Directory integration..

Standards

Futurama’s flexibility is characterized by the large number of options available to exchange data with other applications and systems. For this purpose, Futurama uses global industry standards wherever possible, including XHTML 1.0, CSS, XML, XSLT, SQL, Oracle, ODBC, SOAP (WCF) and XPath.

Version management

The Futurama Concept ensures that Futurama can be further developed and extended without any problem – your solutions won’t have to be adjusted. This provides you with a number of key benefits: for example, it ensures you are always up-to-date technically, and you get to benefit from any new functionalities offered to our customers.